| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::ChannelClass Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< QString, QDBusVariant >.

List of all members.

## Public Member Functions

- ChannelClass ()
- ChannelClass (const QMap< QString, QDBusVariant > &a)
- ChannelClass & operator= (const QMap< QString, QDBusVariant > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, QDBusVariant>, but needed to have a discrete type in the Qt type system.

Mapping representing a class of channels that can be requested from a connection manager, can be handled by a user interface, are supported by a contact, etc.

Classes of channel are identified by the fixed values of a subset of their properties.

Channel classes SHOULD always include the keys ChannelInterface::ChannelType and ChannelInterface::TargetHandleType . (One exception is that ChannelTypeContactSearchInterface channels do not have TargetHandleType `None` in their requestable channel classes, for historical reasons.)

## Constructor & Destructor Documentation

Tp::ChannelClass::ChannelClass | ( |  | ) | `[inline]`

Tp::ChannelClass::ChannelClass | ( | const QMap< QString, QDBusVariant > & | a | ) | `[inline]`

## Member Function Documentation

ChannelClass& Tp::ChannelClass::operator= | ( | const QMap< QString, QDBusVariant > & | a | ) | `[inline]`